import 'package:pmu/data/dtos/news_dto.dart';
import 'package:pmu/domain/models/card.dart';
import 'package:pmu/domain/models/home.dart';
import 'package:intl/intl.dart';
import 'package:http/http.dart' as http;
import 'package:uri/uri.dart';
int _id = 0;

extension NewDataDtoToModel on NewAttributesDataDto {
  CardData toDomain() => CardData(
        text: title ?? 'UNKNOWN',
        imageUrl: imagelink ?? 'https://smart.mag-river.ru/uploads/goods/img/445-360/fit/no-image.png',
        descText: description ?? 'NOTHING',
        id: id,
        date: toNormalDate(date) ?? 'UNKNOWN',
      );
}

extension NewsDtoToModel on NewsDto {
  HomeData toDomain() => HomeData(
        data: data?.map((e) => e.toDomain()).toList(),
        // nextPage: meta?.pagination?.next,
      );
}

int _getId(){
  _id+=1;
  return _id;
}

String toNormalDate(String date){
  // Парсинг строки в объект DateTime
  DateTime dateTime = DateTime.parse(date);

  // Форматирование даты в нужный формат
  String formattedDate = DateFormat('dd.MM.yyyy').format(dateTime);
  return formattedDate;
}

