import 'package:dio/dio.dart';
import 'package:pmu/data/dtos/news_dto.dart';
import 'package:pmu/data/mappers/news_mapper.dart';
import 'package:pmu/data/repositories/api_interface.dart';
import 'package:pmu/domain/models/card.dart';
import 'package:pmu/domain/models/home.dart';
import 'package:pretty_dio_logger/pretty_dio_logger.dart';
const int page = 3;
// класс необходим для отправки запросов в апи и формирования конечных объектов homeData из response
class BbcRepository extends ApiInterface {
  static const String _baseUrl = 'https://newsapi.org/v2';
  static const String _apiKey = '&apiKey=b9848c2aa43e4a0ba12dfe925db8513c';
  static final Dio _dio = Dio()
    ..interceptors.add(PrettyDioLogger(
      requestHeader: true,
      requestBody: true,
    ));

  @override
  Future<HomeData?> loadData({
    OnErrorCallback? onError,
    String? q,
    int page = 1,
    int pageSize = 10,
  }) async {
    try {
      // final String url = '$_baseUrl/everything?q=$q&page=$page&pageSize=$pageSize$_apiKey';
      final String url = '$_baseUrl/everything';

      final Response<dynamic> response =
          await _dio.get<Map<dynamic, dynamic>>(url,
              queryParameters: ((q != null && !q.isEmpty)
                  ? {
                      'q': q,
                      'page': page,
                      'pageSize': pageSize,
                      'sortBy': 'publishedAt',
                      // 'sortBy': 'relevancy',
                      'apikey': 'b9848c2aa43e4a0ba12dfe925db8513c',
                    }
                  : {
                      'q': 'россия',
                      'page': page,
                      'pageSize': pageSize,
                      // 'sortBy': 'popularity',
                      'sortBy': 'publishedAt',
                      'apikey': 'b9848c2aa43e4a0ba12dfe925db8513c'
                    }));
      final NewsDto dto = NewsDto.fromJson(response.data as Map<String, dynamic>);
      final HomeData data = dto.toDomain();
      return data;
    } on DioException catch (e) {
      onError?.call(e.error?.toString());
    }
  }
}
